commons-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Simone Tripodi <simonetrip...@apache.org>
Subject Re: [daemon] The ivy resolver can't version 1.0.3, 1.0.4 or 1.0.5
Date Tue, 08 Mar 2011 11:49:39 GMT
Olà Felipe,
looks like the commons-daemon 1.0.3 IS on maven central repo, take a
look at http://repo1.maven.org/maven2/commons-daemon/commons-daemon/1.0.3/
It seems to me that's more ivy-related problem, I'd ask to ivy ML why
it is not resolved.
Sorte,  até
Simo

http://people.apache.org/~simonetripodi/
http://www.99soft.org/



On Tue, Mar 8, 2011 at 12:20 PM, Filipe Sousa <natros@gmail.com> wrote:
> Hi,
> I want to do some experiments with commons-daemon, but I am having a
> problem. The project where I want to use the commons-daemon uses the
> Ivy to resolve dependencies. I have this in file ivy.xml:
>
> <dependency org="commons-daemon" name="commons-daemon" rev="1.0.3" />
>
> that gives me the following error:
>
> ivy:retrieve] :::: WARNINGS
> [ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
> [ivy:retrieve]          ::          UNRESOLVED DEPENDENCIES         ::
> [ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
> [ivy:retrieve]          :: commons-daemon#commons-daemon;1.0.3:
> java.text.ParseException: inconsistent module descriptor file found in
> 'http://repo1.maven.org/maven2/commons-daemon/commons-daemon/1.0.3/commons-daemon-1.0.3.pom':
> bad organisation: expected='commons-daemon'
> found='org.apache.commons';
> [ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
> [ivy:retrieve] :::: ERRORS
> [ivy:retrieve]          ibiblio: bad organisation found in
> http://repo1.maven.org/maven2/commons-daemon/commons-daemon/1.0.3/commons-daemon-1.0.3.pom:
> expected='commons-daemon' found='org.apache.commons'
> [ivy:retrieve]
> [ivy:retrieve] :: USE VERBOSE OR DEBUG MESSAGE LEVEL FOR MORE DETAILS
>
> The case gets worse if I try to use rev="1.0.5". This version does not
> appear to exist in the maven central.
> I tried to change the org for "org.apache.commons" insted of
> "commons-daemon", but also does not help
>
> [ivy:retrieve] :::: WARNINGS
> [ivy:retrieve]          module not found: org.apache.commons#commons-daemon;1.0.3
> [ivy:retrieve]  ==== ibiblio: tried
> [ivy:retrieve]
> http://repo1.maven.org/maven2/org/apache/commons/commons-daemon/1.0.3/commons-daemon-1.0.3.pom
> [ivy:retrieve]    -- artifact
> org.apache.commons#commons-daemon;1.0.3!commons-daemon.jar:
> [ivy:retrieve]
> http://repo1.maven.org/maven2/org/apache/commons/commons-daemon/1.0.3/commons-daemon-1.0.3.jar
>
> Thanks
> --
> Filipe Sousa
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@commons.apache.org
> For additional commands, e-mail: user-help@commons.apache.org
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@commons.apache.org
For additional commands, e-mail: user-help@commons.apache.org


Mime
View raw message